## geary 0.12.0

=== CMakeLists.txt ===
# Geary build script
# Copyright 2016 Software Freedom Conservancy Inc.
#
# Check http://webdev.elementaryos.org/docs/developer-guide/cmake for documentation

cmake_minimum_required(VERSION 2.8)
cmake_policy(VERSION 2.6)

project(geary C)

list(APPEND
  CMAKE_MODULE_PATH
  ${CMAKE_SOURCE_DIR}/cmake
  ${CMAKE_SOURCE_DIR}/cmake/GCR_CMake/macros
  )

#
# Base bits
#
set(GETTEXT_PACKAGE "geary")
set(RELEASE_NAME "Lightweight email client for GNOME.")
set(VERSION "0.12-dev")
set(VERSION_INFO "Release")
set(LANGUAGE_SUPPORT_DIRECTORY ${CMAKE_INSTALL_PREFIX}/share/locale)

#
# Primary library minimum version requirements. See src/CMakeLists.txt
# for others.
#
set(TARGET_GLIB 2.42) # Also passed to valac, so don't include a point rev
set(TARGET_GTK 3.14.0)
set(TARGET_WEBKIT 2.10)

if (NOT ISO_CODE_639_XML)
  find_path(ISOCODES_DIRECTORY NAMES iso_639.xml PATHS ${CMAKE_INSTALL_PREFIX} /usr/share/xml/iso-codes)
  if (ISOCODES_DIRECTORY)
    set(ISO_CODE_639_XML ${ISOCODES_DIRECTORY}/iso_639.xml)
  else ()
    message(WARNING "File iso_639.xml not found. Please specify it manually using cmake -DISO_CODE_639_XML=/path/to/iso_639.xml")
  endif ()
else ()
  if (NOT EXISTS ${ISO_CODE_639_XML})
    message(WARNING "The path to iso_639.xml specified in ISO_CODE_639_XML is not valid.")
  endif ()
endif ()

if (NOT ISO_CODE_3166_XML)
  find_path(ISOCODES_DIRECTORY NAMES iso_3166.xml PATHS ${CMAKE_INSTALL_PREFIX} /usr/share/xml/iso-codes)
  if (ISOCODES_DIRECTORY)
    set(ISO_CODE_3166_XML ${ISOCODES_DIRECTORY}/iso_3166.xml)
  else ()
    message(WARNING "File iso_3166.xml not found. Please specify it manually using cmake -DISO_CODE_3166_XML=/path/to/iso_3166.xml")
  endif ()
else ()
  if (NOT EXISTS ${ISO_CODE_3166_XML})
    message(WARNING "The path to iso_3166.xml specified in ISO_CODE_3166_XML is not valid.")
  endif ()
endif ()

# Packaging filenamesnames.
set(ARCHIVE_BASE_NAME ${CMAKE_PROJECT_NAME}-${VERSION})
set(ARCHIVE_FULL_NAME ${ARCHIVE_BASE_NAME}.tar.xz)
set(ARCHIVE_DEBUILD_FULL_NAME ${CMAKE_PROJECT_NAME}_${VERSION}.orig.tar.xz)

if (NOT CMAKE_BUILD_TYPE)
  #default build is -O2 -g
  set(CMAKE_BUILD_TYPE "RelWithDebInfo")
endif()

option(ICON_UPDATE "Run gtk-update-icon-cache after the install." ON)
option(DESKTOP_UPDATE "Run update-desktop-database after the install." ON)
option(DESKTOP_VALIDATE "Check generated desktop file for errors during build." ON)
option(TRANSLATE_HELP "Generate and install translated help documentation." ON)

IF(CMAKE_BUILD_TYPE MATCHES Debug)
    message(STATUS "Debug build")
endif ()

if (ICON_UPDATE)
    message(STATUS "Icon cache will be updated")
endif ()

if (DESKTOP_UPDATE)
    message(STATUS "Desktop database will be updated")
endif ()

if (DESKTOP_VALIDATE)
    message(STATUS "Generated desktop file will be checked for errors")
endif ()

if (TRANSLATE_HELP)
    message(STATUS "Help translations will be generated and installed")
endif ()

find_package(PkgConfig)
pkg_check_modules(LIBUNITY QUIET unity>=5.12.0)
pkg_check_modules(LIBMESSAGINGMENU QUIET messaging-menu>=12.10.2)

pkg_check_modules(ENCHANT QUIET enchant)

pkg_check_modules(SQLITE3 sqlite3 REQUIRED)
if (NOT ${SQLITE3_VERSION} VERSION_LESS 3.12)
  include(CheckSymbolExists)
  check_symbol_exists(SQLITE_DBCONFIG_ENABLE_FTS3_TOKENIZER sqlite3.h HAVE_FTS3_TOKENIZER)
    if (NOT HAVE_FTS3_TOKENIZER)
        message(FATAL_ERROR "SQLite3 is missing FTS3 tokenizer support. Please compile it with -DSQLITE_ENABLE_FTS3."
                            " See https://bugzilla.gnome.org/show_bug.cgi?id=763203 for details.")
    endif()
else()
  # detect that the current sqlite3 library has FTS3 support (at run time)
  include(CMakePushCheckState)
  include(CheckCSourceRuns)
  cmake_push_check_state(RESET)
  set(CMAKE_REQUIRED_LIBRARIES sqlite3)
  check_c_source_runs("
      #include <sqlite3.h>
      #include <stdlib.h>
      int main() {
          sqlite3 *db;
          char tmpfile[] = \"sqliteXXXXXX\";
          mkstemp(tmpfile);
          if (sqlite3_open(tmpfile, &db) == SQLITE_OK) {
              return sqlite3_exec(db, \"CREATE VIRTUAL TABLE mail USING fts3(subject, body);\", 0, 0, 0);
          }
          return -1;
      }
  " HAVE_FTS3)
  cmake_pop_check_state()
  if (NOT HAVE_FTS3)
      if (${SQLITE3_VERSION} VERSION_LESS 3.11)
          message(FATAL_ERROR "SQLite3 is missing FTS3 support. Please compile it with -DSQLITE_ENABLE_FTS3.")
      else()
          message(FATAL_ERROR "SQLite3 is missing FTS3 tokenizer support. Please compile it with -DSQLITE_ENABLE_FTS3 -DSQLITE_ENABLE_FTS3_TOKENIZER.")
      endif()
  endif()
endif()

find_package(Git QUIET)

# intl
include(Gettext)
if (XGETTEXT_FOUND)
    message(STATUS "xgettext found")
else ()
    message(STATUS "xgettext not found")
endif ()

# GResources
include(GlibCompileResourcesSupport)

#
# Unit tests.
#
# We don't use CMake's enable_testing/add_test built-ins because they
# use ctest. It's not called "test" because that is cmake reserved.
add_custom_target(tests geary-test)
add_dependencies(tests geary-test)

#
# Uninstall target
#
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY
)

add_custom_target(
    uninstall-base
    COMMAND
        ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
    COMMAND
        ${glib_schema_compiler} ${GSETTINGS_DIR}
)

add_custom_target(
    uninstall
)

# We add this dependency using add_dependencies (which makes it run first) rather than
# a depends clause in add_custom_target (which would make it run last).
add_dependencies(uninstall uninstall-base)

# This gets fired in the root-level Makefile to ensure an post-uninstall cleanup happens after
# everything has has been removed
add_custom_target(
    post-uninstall
    )

# Dist
# This generates the dist tarballs
if (GIT_FOUND)
    add_custom_target(
        dist
        COMMAND
            ${GIT_EXECUTABLE} archive --prefix=${ARCHIVE_BASE_NAME}/ HEAD
            | xz -z > ${CMAKE_BINARY_DIR}/${ARCHIVE_FULL_NAME}
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
    )
endif()

# Ubuntu
# Builds the source Debian package used for the Launchpad PPA
add_custom_target(
    ubuntu_pre
    DEPENDS
        dist
    COMMAND
        ${CMAKE_COMMAND} -E copy ${ARCHIVE_FULL_NAME} ${ARCHIVE_DEBUILD_FULL_NAME}
    COMMAND
        tar xvfx ${ARCHIVE_FULL_NAME}
)

add_custom_target(
    ubuntu
    DEPENDS
        ubuntu_pre
    COMMAND
        ${CMAKE_COMMAND} -E copy_directory "${CMAKE_CURRENT_SOURCE_DIR}/debian"
        "${CMAKE_CURRENT_BINARY_DIR}/${ARCHIVE_BASE_NAME}/debian"
    COMMAND
        debuild -S -k$ENV{GPGKEY}
    COMMAND

    WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/${ARCHIVE_BASE_NAME}"
)

add_subdirectory(desktop)
add_subdirectory(help)
add_subdirectory(icons)
add_subdirectory(po)
add_subdirectory(sql)
add_subdirectory(ui)
add_subdirectory(src)
add_subdirectory(test)

=== icons/CMakeLists.txt ===
set(ICONS_DEST share/icons/hicolor/scalable/actions)

set(ICON_FILES
    mail-archive-symbolic.svg
    close-symbolic.svg
    detach-symbolic.svg
    text-x-generic-symbolic.svg
    edit-symbolic.svg
    format-text-remove-symbolic.svg
    mail-drafts-symbolic.svg
    mail-drafts-symbolic-rtl.svg
    mail-forward-symbolic.svg
    mail-forward-symbolic-rtl.svg
    mail-inbox-symbolic.svg
    mail-outbox-symbolic.svg
    mail-reply-all-symbolic.svg
    mail-reply-all-symbolic-rtl.svg
    mail-reply-sender-symbolic.svg
    mail-reply-sender-symbolic-rtl.svg
    mail-sent-symbolic.svg
    mail-sent-symbolic-rtl.svg
    marker-symbolic.svg
    tag-symbolic.svg
    tag-symbolic-rtl.svg
)

install(FILES ${ICON_FILES} DESTINATION ${ICONS_DEST})

# Application icon goes in theme directory
install(FILES "hicolor/16x16/apps/geary.png" DESTINATION share/icons/hicolor/16x16/apps)
install(FILES "hicolor/24x24/apps/geary.png" DESTINATION share/icons/hicolor/24x24/apps)
install(FILES "hicolor/32x32/apps/geary.png" DESTINATION share/icons/hicolor/32x32/apps)
install(FILES "hicolor/48x48/apps/geary.png" DESTINATION share/icons/hicolor/48x48/apps)
install(FILES "hicolor/256x256/apps/geary.png" DESTINATION share/icons/hicolor/256x256/apps)
install(FILES "hicolor/512x512/apps/geary.png" DESTINATION share/icons/hicolor/512x512/apps)
install(FILES "hicolor/symbolic/apps/geary-symbolic.svg" DESTINATION share/icons/hicolor/symbolic/apps)

# Optional: update icon cache at install time.
if (ICON_UPDATE)
    install(
        CODE
            "execute_process (COMMAND gtk-update-icon-cache -t -f ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor)"
        CODE
            "message (STATUS \"Updated icon cache in ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor\")"
    )
    
    add_custom_target(
        uninstall-icon-cache
        COMMAND
            gtk-update-icon-cache -t -f ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor
        COMMENT
            "Updated icon cache after uninstall in ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor"
    )
    
    add_dependencies(post-uninstall uninstall-icon-cache)
endif ()

=== src/CMakeLists.txt ===
# Geary build script
# Copyright 2016 Software Freedom Conservancy Inc.

set(ENGINE_SRC

engine/api/geary.vala
engine/api/geary-abstract-local-folder.vala
engine/api/geary-account.vala
engine/api/geary-account-information.vala
engine/api/geary-aggregated-folder-properties.vala
engine/api/geary-attachment.vala
engine/api/geary-base-object.vala
engine/api/geary-composed-email.vala
engine/api/geary-contact.vala
engine/api/geary-contact-flags.vala
engine/api/geary-contact-importance.vala
engine/api/geary-contact-store.vala
engine/api/geary-credentials.vala
engine/api/geary-credentials-mediator.vala
engine/api/geary-email-flags.vala
engine/api/geary-email-identifier.vala
engine/api/geary-email-properties.vala
engine/api/geary-email.vala
engine/api/geary-endpoint.vala
engine/api/geary-engine-error.vala
engine/api/geary-engine.vala
engine/api/geary-folder.vala
engine/api/geary-folder-path.vala
engine/api/geary-folder-properties.vala
engine/api/geary-folder-supports-archive.vala
engine/api/geary-folder-supports-copy.vala
engine/api/geary-folder-supports-create.vala
engine/api/geary-folder-supports-empty.vala
engine/api/geary-folder-supports-mark.vala
engine/api/geary-folder-supports-move.vala
engine/api/geary-folder-supports-remove.vala
engine/api/geary-logging.vala
engine/api/geary-named-flag.vala
engine/api/geary-named-flags.vala
engine/api/geary-progress-monitor.vala
engine/api/geary-revokable.vala
engine/api/geary-search-folder.vala
engine/api/geary-search-query.vala
engine/api/geary-service.vala
engine/api/geary-service-provider.vala
engine/api/geary-special-folder-type.vala

engine/app/app-conversation.vala
engine/app/app-conversation-monitor.vala
engine/app/app-draft-manager.vala
engine/app/app-email-store.vala

engine/app/conversation-monitor/app-append-operation.vala
engine/app/conversation-monitor/app-conversation-operation-queue.vala
engine/app/conversation-monitor/app-conversation-operation.vala
engine/app/conversation-monitor/app-conversation-set.vala
engine/app/conversation-monitor/app-external-append-operation.vala
engine/app/conversation-monitor/app-fill-window-operation.vala
engine/app/conversation-monitor/app-local-load-operation.vala
engine/app/conversation-monitor/app-local-search-operation.vala
engine/app/conversation-monitor/app-remove-operation.vala
engine/app/conversation-monitor/app-reseed-operation.vala
engine/app/conversation-monitor/app-terminate-operation.vala

engine/app/email-store/app-async-folder-operation.vala
engine/app/email-store/app-copy-operation.vala
engine/app/email-store/app-fetch-operation.vala
engine/app/email-store/app-list-operation.vala
engine/app/email-store/app-mark-operation.vala

engine/common/common-message-data.vala

engine/db/db.vala
engine/db/db-connection.vala
engine/db/db-context.vala
engine/db/db-database.vala
engine/db/db-database-error.vala
engine/db/db-result.vala
engine/db/db-statement.vala
engine/db/db-synchronous-mode.vala
engine/db/db-transaction-async-job.vala
engine/db/db-transaction-outcome.vala
engine/db/db-transaction-type.vala
engine/db/db-versioned-database.vala

engine/imap/imap.vala
engine/imap/imap-error.vala
engine/imap/api/imap-account.vala
engine/imap/api/imap-email-flags.vala
engine/imap/api/imap-email-properties.vala
engine/imap/api/imap-folder-properties.vala
engine/imap/api/imap-folder.vala
engine/imap/api/imap-folder-root.vala
engine/imap/command/imap-append-command.vala
engine/imap/command/imap-capability-command.vala
engine/imap/command/imap-close-command.vala
engine/imap/command/imap-command.vala
engine/imap/command/imap-compress-command.vala
engine/imap/command/imap-copy-command.vala
engine/imap/command/imap-create-command.vala
engine/imap/command/imap-examine-command.vala
engine/imap/command/imap-expunge-command.vala
engine/imap/command/imap-fetch-command.vala
engine/imap/command/imap-id-command.vala
engine/imap/command/imap-idle-command.vala
engine/imap/command/imap-list-command.vala
engine/imap/command/imap-list-return-parameter.vala
engine/imap/command/imap-login-command.vala
engine/imap/command/imap-logout-command.vala
engine/imap/command/imap-message-set.vala
engine/imap/command/imap-noop-command.vala
engine/imap/command/imap-search-command.vala
engine/imap/command/imap-search-criteria.vala
engine/imap/command/imap-search-criterion.vala
engine/imap/command/imap-select-command.vala
engine/imap/command/imap-starttls-command.vala
engine/imap/command/imap-status-command.vala
engine/imap/command/imap-store-command.vala
engine/imap/message/imap-data-format.vala
engine/imap/message/imap-envelope.vala
engine/imap/message/imap-fetch-body-data-specifier.vala
engine/imap/message/imap-fetch-data-specifier.vala
engine/imap/message/imap-flag.vala
engine/imap/message/imap-flags.vala
engine/imap/message/imap-internal-date.vala
engine/imap/message/imap-mailbox-specifier.vala
engine/imap/message/imap-mailbox-parameter.vala
engine/imap/message/imap-message-data.vala
engine/imap/message/imap-message-flag.vala
engine/imap/message/imap-message-flags.vala
engine/imap/message/imap-sequence-number.vala
engine/imap/message/imap-status-data-type.vala
engine/imap/message/imap-tag.vala
engine/imap/message/imap-uid.vala
engine/imap/message/imap-uid-validity.vala
engine/imap/parameter/imap-atom-parameter.vala
engine/imap/parameter/imap-list-parameter.vala
engine/imap/parameter/imap-literal-parameter.vala
engine/imap/parameter/imap-nil-parameter.vala
engine/imap/parameter/imap-number-parameter.vala
engine/imap/parameter/imap-parameter.vala
engine/imap/parameter/imap-quoted-string-parameter.vala
engine/imap/parameter/imap-root-parameters.vala
engine/imap/parameter/imap-string-parameter.vala
engine/imap/parameter/imap-unquoted-string-parameter.vala
engine/imap/response/imap-capabilities.vala
engine/imap/response/imap-continuation-response.vala
engine/imap/response/imap-fetch-data-decoder.vala
engine/imap/response/imap-fetched-data.vala
engine/imap/response/imap-mailbox-attribute.vala
engine/imap/response/imap-mailbox-attributes.vala
engine/imap/response/imap-mailbox-information.vala
engine/imap/response/imap-response-code.vala
engine/imap/response/imap-response-code-type.vala
engine/imap/response/imap-server-data.vala
engine/imap/response/imap-server-data-type.vala
engine/imap/response/imap-server-response.vala
engine/imap/response/imap-status.vala
engine/imap/response/imap-status-data.vala
engine/imap/response/imap-status-response.vala
engine/imap/transport/imap-client-connection.vala
engine/imap/transport/imap-client-session-manager.vala
engine/imap/transport/imap-client-session.vala
engine/imap/transport/imap-deserializer.vala
engine/imap/transport/imap-serializer.vala

engine/imap-db/imap-db-account.vala
engine/imap-db/imap-db-attachment.vala
engine/imap-db/imap-db-contact.vala
engine/imap-db/imap-db-database.vala
engine/imap-db/imap-db-email-identifier.vala
engine/imap-db/imap-db-folder.vala
engine/imap-db/imap-db-gc.vala
engine/imap-db/imap-db-message-addresses.vala
engine/imap-db/imap-db-message-row.vala
engine/imap-db/search/imap-db-search-email-identifier.vala
engine/imap-db/search/imap-db-search-folder.vala
engine/imap-db/search/imap-db-search-folder-properties.vala
engine/imap-db/search/imap-db-search-folder-root.vala
engine/imap-db/search/imap-db-search-query.vala
engine/imap-db/search/imap-db-search-term.vala
engine/imap-db/outbox/smtp-outbox-email-identifier.vala
engine/imap-db/outbox/smtp-outbox-email-properties.vala
engine/imap-db/outbox/smtp-outbox-folder.vala
engine/imap-db/outbox/smtp-outbox-folder-properties.vala
engine/imap-db/outbox/smtp-outbox-folder-root.vala

engine/imap-engine/imap-engine.vala
engine/imap-engine/imap-engine-account-synchronizer.vala
engine/imap-engine/imap-engine-batch-operations.vala
engine/imap-engine/imap-engine-contact-store.vala
engine/imap-engine/imap-engine-email-flag-watcher.vala
engine/imap-engine/imap-engine-email-prefetcher.vala
engine/imap-engine/imap-engine-generic-account.vala
engine/imap-engine/imap-engine-generic-folder.vala
engine/imap-engine/imap-engine-minimal-folder.vala
engine/imap-engine/imap-engine-replay-operation.vala
engine/imap-engine/imap-engine-replay-queue.vala
engine/imap-engine/imap-engine-revokable-move.vala
engine/imap-engine/imap-engine-revokable-committed-move.vala
engine/imap-engine/imap-engine-send-replay-operation.vala
engine/imap-engine/gmail/imap-engine-gmail-account.vala
engine/imap-engine/gmail/imap-engine-gmail-all-mail-folder.vala
engine/imap-engine/gmail/imap-engine-gmail-drafts-folder.vala
engine/imap-engine/gmail/imap-engine-gmail-folder.vala
engine/imap-engine/gmail/imap-engine-gmail-search-folder.vala
engine/imap-engine/gmail/imap-engine-gmail-spam-trash-folder.vala
engine/imap-engine/other/imap-engine-other-account.vala
engine/imap-engine/other/imap-engine-other-folder.vala
engine/imap-engine/outlook/imap-engine-outlook-account.vala
engine/imap-engine/outlook/imap-engine-outlook-folder.vala
engine/imap-engine/outlook/imap-engine-outlook-drafts-folder.vala
engine/imap-engine/replay-ops/imap-engine-abstract-list-email.vala
engine/imap-engine/replay-ops/imap-engine-copy-email.vala
engine/imap-engine/replay-ops/imap-engine-create-email.vala
engine/imap-engine/replay-ops/imap-engine-empty-folder.vala
engine/imap-engine/replay-ops/imap-engine-fetch-email.vala
engine/imap-engine/replay-ops/imap-engine-list-email-by-id.vala
engine/imap-engine/replay-ops/imap-engine-list-email-by-sparse-id.vala
engine/imap-engine/replay-ops/imap-engine-mark-email.vala
engine/imap-engine/replay-ops/imap-engine-move-email-commit.vala
engine/imap-engine/replay-ops/imap-engine-move-email-prepare.vala
engine/imap-engine/replay-ops/imap-engine-move-email-revoke.vala
engine/imap-engine/replay-ops/imap-engine-remove-email.vala
engine/imap-engine/replay-ops/imap-engine-replay-append.vala
engine/imap-engine/replay-ops/imap-engine-replay-disconnect.vala
engine/imap-engine/replay-ops/imap-engine-replay-removal.vala
engine/imap-engine/replay-ops/imap-engine-server-search-email.vala
engine/imap-engine/replay-ops/imap-engine-user-close.vala
engine/imap-engine/yahoo/imap-engine-yahoo-account.vala
engine/imap-engine/yahoo/imap-engine-yahoo-folder.vala

engine/memory/memory-buffer.vala
engine/memory/memory-byte-buffer.vala
engine/memory/memory-empty-buffer.vala
engine/memory/memory-file-buffer.vala
engine/memory/memory-growable-buffer.vala
engine/memory/memory-offset-buffer.vala
engine/memory/memory-string-buffer.vala
engine/memory/memory-unowned-byte-array-buffer.vala
engine/memory/memory-unowned-bytes-buffer.vala
engine/memory/memory-unowned-string-buffer.vala

engine/mime/mime-content-disposition.vala
engine/mime/mime-content-parameters.vala
engine/mime/mime-content-type.vala
engine/mime/mime-data-format.vala
engine/mime/mime-disposition-type.vala
engine/mime/mime-error.vala
engine/mime/mime-multipart-subtype.vala

engine/nonblocking/nonblocking-abstract-semaphore.vala
engine/nonblocking/nonblocking-batch.vala
engine/nonblocking/nonblocking-concurrent.vala
engine/nonblocking/nonblocking-counting-semaphore.vala
engine/nonblocking/nonblocking-error.vala
engine/nonblocking/nonblocking-mailbox.vala
engine/nonblocking/nonblocking-mutex.vala
engine/nonblocking/nonblocking-reporting-semaphore.vala
engine/nonblocking/nonblocking-variants.vala

engine/rfc822/rfc822.vala
engine/rfc822/rfc822-error.vala
engine/rfc822/rfc822-gmime-filter-flowed.vala
engine/rfc822/rfc822-gmime-filter-blockquotes.vala
engine/rfc822/rfc822-gmime-filter-plain.vala
engine/rfc822/rfc822-mailbox-addresses.vala
engine/rfc822/rfc822-mailbox-address.vala
engine/rfc822/rfc822-message.vala
engine/rfc822/rfc822-message-data.vala
engine/rfc822/rfc822-utils.vala

engine/smtp/smtp-authenticator.vala
engine/smtp/smtp-capabilities.vala
engine/smtp/smtp-client-connection.vala
engine/smtp/smtp-client-session.vala
engine/smtp/smtp-command.vala
engine/smtp/smtp-data-format.vala
engine/smtp/smtp-error.vala
engine/smtp/smtp-greeting.vala
engine/smtp/smtp-login-authenticator.vala

=== test/CMakeLists.txt ===
# Geary build script
# Copyright 2016 Software Freedom Conservancy Inc.
# Copyright 2016 Michael Gratton <mike@vee.net>

set(TEST_SRC
  main.vala
  testcase.vala # Based on same file in libgee, courtesy Julien Peeters

  engine/api/geary-attachment-test.vala
  engine/api/geary-engine-test.vala
  engine/mime-content-type-test.vala
  engine/rfc822-mailbox-address-test.vala
  engine/rfc822-message-test.vala
  engine/rfc822-message-data-test.vala
  engine/rfc822-utils-test.vala
  engine/util-html-test.vala
  engine/util-idle-manager-test.vala
  engine/util-inet-test.vala
  engine/util-js-test.vala
  engine/util-timeout-manager-test.vala

  client/application/geary-configuration-test.vala
  client/components/client-web-view-test.vala
  client/components/client-web-view-test-case.vala
  client/composer/composer-web-view-test.vala

  js/composer-page-state-test.vala
  js/conversation-page-state-test.vala
)

# Vala
find_package(Vala REQUIRED)
include(ValaVersion)
include(ValaPrecompile)

pkg_check_modules(DEPS REQUIRED
  gee-0.8
  gio-2.0
  glib-2.0
  gmime-2.6
  gthread-2.0
  gtk+-3.0
  javascriptcoregtk-4.0
  libsoup-2.4
  webkit2gtk-4.0
  libxml-2.0
)

set(TEST_PACKAGES
  geary-client
  geary-engine
  gee-0.8
  gio-2.0
  glib-2.0
  gmime-2.6
  gtk+-3.0
  javascriptcore-4.0
  libsoup-2.4
  webkit2gtk-4.0
)

set(CFLAGS
    ${DEPS_CFLAGS}
    ${DEPS_CFLAGS_OTHER}
    -D_BUILD_ROOT_DIR=\"${CMAKE_BINARY_DIR}\"
    -D_GSETTINGS_DIR=\"${CMAKE_BINARY_DIR}/gsettings\"
    -D_SOURCE_ROOT_DIR=\"${CMAKE_SOURCE_DIR}\"
)

include_directories(${CMAKE_BINARY_DIR}/src)

set(LIB_PATHS ${DEPS_LIBRARY_DIRS})
link_directories(${LIB_PATHS})
add_definitions(${CFLAGS})

# GResources must be compiled into the binary??
set_property(SOURCE ${RESOURCES_C} PROPERTY GENERATED TRUE)

set(VALAC_OPTIONS
    --vapidir=${CMAKE_BINARY_DIR}/src
    --vapidir=${CMAKE_SOURCE_DIR}/bindings/vapi
    --metadatadir=${CMAKE_SOURCE_DIR}/bindings/metadata
    --target-glib=${TARGET_GLIB}
    --thread
    --debug
    --enable-checking
    --enable-deprecated
    --fatal-warnings
    ${EXTRA_VALA_OPTIONS}
)

vala_precompile(TEST_VALA_C geary-test
    ${TEST_SRC}
PACKAGES
    ${TEST_PACKAGES}
OPTIONS
    ${VALAC_OPTIONS}
)

# Exclude from all so tests aren't built by default
add_executable(geary-test EXCLUDE_FROM_ALL ${TEST_VALA_C} ${RESOURCES_C})
target_link_libraries(geary-test ${DEPS_LIBRARIES} geary-client geary-engine)

=== ui/CMakeLists.txt ===

set(RESOURCE_LIST
  STRIPBLANKS "accelerators.ui"
  STRIPBLANKS "account_cannot_remove.glade"
  STRIPBLANKS "account_list.glade"
  STRIPBLANKS "account_spinner.glade"
  STRIPBLANKS "certificate_warning_dialog.glade"
              "client-web-view.js"
              "client-web-view-allow-remote-images.js"
  STRIPBLANKS "composer-headerbar.ui"
  STRIPBLANKS "composer-link-popover.ui"
  STRIPBLANKS "composer-menus.ui"
  STRIPBLANKS "composer-widget.ui"
              "composer-web-view.css"
              "composer-web-view.js"
  STRIPBLANKS "conversation-email.ui"
  STRIPBLANKS "conversation-email-attachment-view.ui"
  STRIPBLANKS "conversation-email-menus.ui"
  STRIPBLANKS "conversation-message.ui"
  STRIPBLANKS "conversation-message-menus.ui"
  STRIPBLANKS "conversation-viewer.ui"
              "conversation-web-view.css"
              "conversation-web-view.js"
  STRIPBLANKS "edit_alternate_emails.glade"
  STRIPBLANKS "empty-placeholder.ui"
  STRIPBLANKS "find_bar.glade"
  STRIPBLANKS "folder-popover.ui"
  STRIPBLANKS "gtk/help-overlay.ui"
  STRIPBLANKS "gtk/menus.ui"
  STRIPBLANKS "login.glade"
  STRIPBLANKS "main-toolbar.ui"
  STRIPBLANKS "main-window.ui"
  STRIPBLANKS "password-dialog.glade"
  STRIPBLANKS "preferences-dialog.ui"
  STRIPBLANKS "remove_confirm.glade"
  STRIPBLANKS "toolbar_empty_menu.ui"
  STRIPBLANKS "toolbar_mark_menu.ui"
  STRIPBLANKS "upgrade_dialog.glade"
  "geary.css"
)

compile_gresources(
  RESOURCES_C
  RESOURCES_XML
  TYPE EMBED_C
  SOURCE_DIR "${CMAKE_SOURCE_DIR}/ui"
  PREFIX "/org/gnome/Geary"
  RESOURCES ${RESOURCE_LIST}
)

add_custom_target(resource_c DEPENDS ${RESOURCES_C})

# Work around valac wanting the resource files to be in the same
# directory as the XML file.
add_custom_target(resource_copy ALL
    mkdir -p ${CMAKE_BINARY_DIR}/ui
  COMMAND
    cp ${RESOURCES_XML} ${CMAKE_BINARY_DIR}/ui
  COMMAND
    cp ${CMAKE_SOURCE_DIR}/ui/*.glade ${CMAKE_SOURCE_DIR}/ui/*.ui ${CMAKE_BINARY_DIR}/ui
  COMMAND
    cp ${CMAKE_SOURCE_DIR}/ui/*.css ${CMAKE_BINARY_DIR}/ui
)
add_dependencies(resource_copy resource_c)

# Export the file names so they can be used in the source build
set(RESOURCES_C ${RESOURCES_C} PARENT_SCOPE)
set(RESOURCES_XML "${CMAKE_BINARY_DIR}/ui/.gresource.xml" PARENT_SCOPE)

=== src/sqlite3-unicodesn/Makefile ===

CC?=gcc
#CFLAGS=-W  -Wall -g -O0
CFLAGS?= -Os -DNDEBUG -s

DESTDIR?= /usr

STEMMERS?= danish dutch english finnish french german hungarian \
  italian norwegian porter portuguese romanian russian \
  spanish swedish turkish

CFLAGS+= \
  -DSQLITE_ENABLE_FTS4 \
  -DSQLITE_ENABLE_FTS4_UNICODE61

SOURCES= \
  fts3_unicode2.c \
  fts3_unicodesn.c \
  extension.c

HEADERS=	fts3_tokenizer.h

INCLUDES= \
  -Ilibstemmer_c/runtime \
  -Ilibstemmer_c/src_c

LIBRARIES=	-lsqlite3

SNOWBALL_SOURCES= \
  libstemmer_c/runtime/api_sq3.c \
  libstemmer_c/runtime/utilities_sq3.c

SNOWBALL_HEADERS= \
  libstemmer_c/include/libstemmer.h \
  libstemmer_c/runtime/api.h \
  libstemmer_c/runtime/header.h

SNOWBALL_SOURCES+= $(foreach s, $(STEMMERS), libstemmer_c/src_c/stem_UTF_8_$(s).c)

SNOWBALL_HEADERS+= $(foreach s, $(STEMMERS), libstemmer_c/src_c/stem_UTF_8_$(s).h)

SNOWBALL_FLAGS+= $(foreach s, $(STEMMERS), -DWITH_STEMMER_$(s))

all: unicodesn.sqlext

unicodesn.sqlext: $(HEADERS) $(SOURCES) $(SNOWBALL_HEADERS) $(SNOWBALL_SOURCES)
	$(CC) $(CFLAGS) $(SNOWBALL_FLAGS) $(INCLUDES) -fPIC -shared -fvisibility=hidden -o $@ \
	   $(SOURCES) $(SNOWBALL_SOURCES) $(LIBRARIES)

clean:
	rm -f *.o unicodesn.sqlext

install: unicodesn.sqlext
	mkdir -p ${DESTDIR}/lib 2> /dev/null
	install -D -o root -g root -m 644 unicodesn.sqlext ${DESTDIR}/lib

.PHONY: clean install

=== debian/changelog ===
geary (0.12.0-1ubuntu1) bionic; urgency=medium

  * Sync with Debian. Remaining change:
    - debian/control: Build-depend on libmessaging-menu-dev and
      libunity-dev for better Unity integration.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 22 Jan 2018 12:38:32 -0500

geary (0.12.0-1) unstable; urgency=medium

  * Change maintainer to Debian GNOME Team, with Vincent's permission
  * Drop obsolete Build-Depends on libgnome-keyring-dev (Closes: #867922)
  * Bump debhelper compat to 11
  * Bump Standards-Version to 4.1.3

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 22 Jan 2018 12:36:03 -0500

geary (0.12.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release (Closes: #879574)
  * Drop vavala-casts.patch, applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 22 Oct 2017 21:24:45 -0400

geary (0.12~20170915-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch to debian/patches/series

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 24 Sep 2017 10:01:58 -0400

geary (0.12~20170915-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Actually add patch.

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 24 Sep 2017 09:15:38 -0400

geary (0.12~20170915-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add vavala-casts.patch to fix build on s390x

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 24 Sep 2017 08:19:56 -0400

geary (0.12~20170915-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream git snapshot (Closes: #873863)
  * Switch to webkit2gtk (Closes: #866638) (LP: #1588150)
  * debian/control:
    - Build-depend on libenchant-dev
    - Bump minimum GTK+ to 3.14 and GLib to 2.42

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 18 Sep 2017 23:01:28 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: geary
Section: mail
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>
Build-Depends: cmake (>= 2.8.0),
               debhelper (>= 11),
               desktop-file-utils,
               gnome-doc-utils,
               gnome-pkg-tools,
               intltool,
               libcanberra-dev (>= 0.28),
               libenchant-dev (>= 1.6),
               libgcr-3-dev (>= 3.10.1),
               libgee-0.8-dev (>= 0.8.5),
               libgirepository1.0-dev (>= 1.32.0),
               libglib2.0-dev (>= 2.42.0),
               libgmime-2.6-dev (>= 2.6.14),
               libgtk-3-dev (>= 3.14.0),
               libmessaging-menu-dev,
               libunity-dev,
               libnotify-dev (>= 0.7.5),
               libsecret-1-dev (>= 0.11),
               libsqlite3-dev (>= 3.7.4),
               libwebkit2gtk-4.0-dev (>= 2.10),
               libxml2-dev (>= 2.7.8),
               valac (>= 0.22.1)
Standards-Version: 4.1.3
Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/geary/trunk
Vcs-Browser: https://anonscm.debian.org/viewvc/collab-maint/deb-maint/geary/trunk
Homepage: https://wiki.gnome.org/Apps/Geary

Package: geary
Architecture: any
Depends: gnome-keyring | kwalletmanager, ${misc:Depends}, ${shlibs:Depends}
Description: lightweight email client designed for the GNOME desktop
 Geary is an email reader for GNOME designed to let you read your email
 quickly and effortlessly. Its interface is based on conversations, so you
 can easily read an entire discussion without having to click from message
 to message.

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --buildsystem=cmake --with gnome

override_dh_auto_configure:
	dh_auto_configure -- -DNO_FATAL_WARNINGS=true

## geary 0.12.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,7 @@
 #
 set(GETTEXT_PACKAGE "geary")
 set(RELEASE_NAME "Lightweight email client for GNOME.")
-set(VERSION "0.12-dev")
+set(VERSION "0.12.4")
 set(VERSION_INFO "Release")
 set(LANGUAGE_SUPPORT_DIRECTORY ${CMAKE_INSTALL_PREFIX}/share/locale)

=== desktop/CMakeLists.txt ===
#
# Build and install org.gnome.Geary.desktop
#

include (FindIntltool)
include (FindDesktopFileValidate)
if (INTLTOOL_MERGE_FOUND)
    INTLTOOL_MERGE_APPDATA (org.gnome.Geary.appdata.xml po)
    INTLTOOL_MERGE_DESKTOP (org.gnome.Geary.desktop po)
    INTLTOOL_MERGE_AUTOSTART_DESKTOP (geary-autostart.desktop po)

    if (DESKTOP_VALIDATE)
        if (DESKTOP_FILE_VALIDATE_FOUND)
            VALIDATE_DESKTOP_FILE (org.gnome.Geary.desktop)
            VALIDATE_DESKTOP_FILE (geary-autostart.desktop)
        else (DESKTOP_FILE_VALIDATE_FOUND)
            message (FATAL_ERROR "desktop-file-validate must be installed to validate generated .desktop file")
        endif (DESKTOP_FILE_VALIDATE_FOUND)
    endif (DESKTOP_VALIDATE)
else (INTLTOOL_MERGE_FOUND)
    message (FATAL_ERROR "intltool must be installed to generate .desktop file")
endif (INTLTOOL_MERGE_FOUND)

# Optional: run update-desktop-database at install time.
# (This has to happen after the org.gnome.Geary.desktop file is installed.)
if (DESKTOP_UPDATE)
    install(
        CODE
            "execute_process (COMMAND update-desktop-database)"
        CODE
            "message (STATUS \"Updating desktop database\")"
    )
    
    add_custom_target(
        uninstall-desktop-update
        COMMAND
            update-desktop-database
    )
    
    add_dependencies(post-uninstall uninstall-desktop-update)
else ()
    install(
        CODE "message (STATUS \"Not updating desktop database\")"
    )
endif ()

if (DISABLE_CONTRACT)
    message (STATUS "Install Contractor contract: OFF")
else (DISABLE_CONTRACT)
    message (STATUS "Install Contractor contract: ON")
    if (INTLTOOL_MERGE_FOUND)
        INTLTOOL_MERGE_CONTRACT (geary-attach.contract po)

# Can't validate Contractor file since it isn't a valid Desktop
# file according to desktop-file-validate from desktop-file-utils 0.22:
# - geary-attach.contract: error: first group is not "Desktop Entry"
# - geary-attach.contract: error: file contains group "Contractor Entry",
#       but groups extending the format should start with "X-"
# - geary-attach.contract: error: filename does not have a .desktop extension
#
#        if (DESKTOP_VALIDATE)
#            if (DESKTOP_FILE_VALIDATE_FOUND)
#                VALIDATE_DESKTOP_FILE (geary-attach.contract)
#            endif (DESKTOP_FILE_VALIDATE_FOUND)
#        endif (DESKTOP_VALIDATE)
    endif (INTLTOOL_MERGE_FOUND)
    install (PROGRAMS geary-attach DESTINATION bin)
endif (DISABLE_CONTRACT)

=== help/CMakeLists.txt ===
set(HELP_FILES
    accounts.page
    archive.page
    bugs.page
    index.page
    label.page
    limits.page
    overview.page
    preferences.page
    search.page
    shortcuts.page
    star.page
    write.page
)

# FIXME: don't re-specify this here, instead read it from Makefile.am.
set(TRANSLATED
    cs
    de
    el
    es
    fr
    it
    pl
    pt_BR
    sv
)

set(HELP_DEST share/gnome/help/geary)

set(HELP_SOURCE)
foreach(_page ${HELP_FILES})
    set(HELP_SOURCE ${HELP_SOURCE} C/${_page})
endforeach()

install(FILES ${HELP_SOURCE} DESTINATION ${HELP_DEST}/C)
install(FILES C/figures/geary.svg DESTINATION ${HELP_DEST}/C/figures)

# Hacked together from the similar macro in cmake/Gettext.cmake.
MACRO(HELP_CREATE_TRANSLATIONS _firstLang)
    SET(_translatedPages)
    SET(_addToAll)
    SET(_isComment FALSE)

    FOREACH(_lang ${_firstLang} ${ARGN})
        IF(_lang STREQUAL "ALL")
            SET(_addToAll "ALL")
        ELSEIF(_lang STREQUAL "COMMENT")
            SET(_isComment TRUE)
        ELSEIF(_isComment)
            SET(_isComment FALSE)
            SET(_comment ${_lang})
        ELSE()
            GET_FILENAME_COMPONENT(_absPo ${_lang}/${_lang}.po ABSOLUTE)

            FOREACH(_page ${HELP_FILES})
                GET_FILENAME_COMPONENT(_absSourcePage C/${_page} ABSOLUTE)
                SET(_destPage ${CMAKE_CURRENT_BINARY_DIR}/${_lang}/${_page})
                GET_FILENAME_COMPONENT(_destPath ${_destPage} PATH)

                #MESSAGE("_absPo=${_absPo} _absSourcePage=${_absSourcePage} _destPage=${_destPage} _lang=${_lang} _page=${_page} curr_bin=${CMAKE_CURRENT_BINARY_DIR}\n")
                ADD_CUSTOM_COMMAND(
                    OUTPUT ${_destPage}
                    COMMAND mkdir -p ${_destPath} && ${XML2PO_BIN} -m mallard -p ${_absPo} -o ${_destPage} ${_absSourcePage}
                    DEPENDS ${_absPo} ${_absSourcePage}
                    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
                    )

                INSTALL(FILES ${_destPage} DESTINATION ${HELP_DEST}/${_lang})
                SET(_translatedPages ${_translatedPages} ${_destPage})
            ENDFOREACH()
        ENDIF()
    ENDFOREACH()

    IF(DEFINED _comment)
        ADD_CUSTOM_TARGET(help_translations ${_addToAll} DEPENDS ${_translatedPages} COMMENT ${_comment})
    ELSE()
        ADD_CUSTOM_TARGET(help_translations ${_addToAll} DEPENDS ${_translatedPages})
    ENDIF()
ENDMACRO()

IF(TRANSLATE_HELP)
    FIND_PROGRAM(XML2PO_BIN xml2po)
    IF(NOT XML2PO_BIN)
        MESSAGE(FATAL_ERROR "xml2po not found")
    ENDIF()

    HELP_CREATE_TRANSLATIONS(ALL ${TRANSLATED} COMMENT "Translating help docs.")
ENDIF()

=== icons/CMakeLists.txt ===
--- 
+++ 
@@ -27,13 +27,13 @@
 install(FILES ${ICON_FILES} DESTINATION ${ICONS_DEST})
 
 # Application icon goes in theme directory
-install(FILES "hicolor/16x16/apps/geary.png" DESTINATION share/icons/hicolor/16x16/apps)
-install(FILES "hicolor/24x24/apps/geary.png" DESTINATION share/icons/hicolor/24x24/apps)
-install(FILES "hicolor/32x32/apps/geary.png" DESTINATION share/icons/hicolor/32x32/apps)
-install(FILES "hicolor/48x48/apps/geary.png" DESTINATION share/icons/hicolor/48x48/apps)
-install(FILES "hicolor/256x256/apps/geary.png" DESTINATION share/icons/hicolor/256x256/apps)
-install(FILES "hicolor/512x512/apps/geary.png" DESTINATION share/icons/hicolor/512x512/apps)
-install(FILES "hicolor/symbolic/apps/geary-symbolic.svg" DESTINATION share/icons/hicolor/symbolic/apps)
+install(FILES "hicolor/16x16/apps/org.gnome.Geary.png" DESTINATION share/icons/hicolor/16x16/apps)
+install(FILES "hicolor/24x24/apps/org.gnome.Geary.png" DESTINATION share/icons/hicolor/24x24/apps)
+install(FILES "hicolor/32x32/apps/org.gnome.Geary.png" DESTINATION share/icons/hicolor/32x32/apps)
+install(FILES "hicolor/48x48/apps/org.gnome.Geary.png" DESTINATION share/icons/hicolor/48x48/apps)
+install(FILES "hicolor/256x256/apps/org.gnome.Geary.png" DESTINATION share/icons/hicolor/256x256/apps)
+install(FILES "hicolor/512x512/apps/org.gnome.Geary.png" DESTINATION share/icons/hicolor/512x512/apps)
+install(FILES "hicolor/symbolic/apps/org.gnome.Geary-symbolic.svg" DESTINATION share/icons/hicolor/symbolic/apps)
 
 # Optional: update icon cache at install time.
 if (ICON_UPDATE)

=== po/CMakeLists.txt ===

file(STRINGS "LINGUAS" TRANSLATED)

IF (XGETTEXT_FOUND)
    GETTEXT_CREATE_TRANSLATIONS(ALL ${TRANSLATED}
	    COMMENT "Creating translations.")
ELSE ()
    message(STATUS "xgettext not found")
ENDIF()

=== sql/CMakeLists.txt ===
set(SQL_DEST share/geary/sql)

install(FILES version-001.sql DESTINATION ${SQL_DEST})
install(FILES version-002.sql DESTINATION ${SQL_DEST})
install(FILES version-003.sql DESTINATION ${SQL_DEST})
install(FILES version-004.sql DESTINATION ${SQL_DEST})
install(FILES version-005.sql DESTINATION ${SQL_DEST})
install(FILES version-006.sql DESTINATION ${SQL_DEST})
install(FILES version-007.sql DESTINATION ${SQL_DEST})
install(FILES version-008.sql DESTINATION ${SQL_DEST})
install(FILES version-009.sql DESTINATION ${SQL_DEST})
install(FILES version-010.sql DESTINATION ${SQL_DEST})
install(FILES version-011.sql DESTINATION ${SQL_DEST})
install(FILES version-012.sql DESTINATION ${SQL_DEST})
install(FILES version-013.sql DESTINATION ${SQL_DEST})
install(FILES version-014.sql DESTINATION ${SQL_DEST})
install(FILES version-015.sql DESTINATION ${SQL_DEST})
install(FILES version-016.sql DESTINATION ${SQL_DEST})
install(FILES version-017.sql DESTINATION ${SQL_DEST})
install(FILES version-018.sql DESTINATION ${SQL_DEST})
install(FILES version-019.sql DESTINATION ${SQL_DEST})
install(FILES version-020.sql DESTINATION ${SQL_DEST})
install(FILES version-021.sql DESTINATION ${SQL_DEST})
install(FILES version-022.sql DESTINATION ${SQL_DEST})
install(FILES version-023.sql DESTINATION ${SQL_DEST})
install(FILES version-024.sql DESTINATION ${SQL_DEST})
install(FILES version-025.sql DESTINATION ${SQL_DEST})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -124,7 +124,6 @@
 engine/imap/message/imap-flags.vala
 engine/imap/message/imap-internal-date.vala
 engine/imap/message/imap-mailbox-specifier.vala
-engine/imap/message/imap-mailbox-parameter.vala
 engine/imap/message/imap-message-data.vala
 engine/imap/message/imap-message-flag.vala
 engine/imap/message/imap-message-flags.vala
@@ -279,3 +278,5 @@
 engine/smtp/smtp-error.vala
 engine/smtp/smtp-greeting.vala
 engine/smtp/smtp-login-authenticator.vala
+engine/smtp/smtp-plain-authenticator.vala
+engine/smtp/smtp-request.vala

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,9 @@
 
   engine/api/geary-attachment-test.vala
   engine/api/geary-engine-test.vala
+  engine/imap/message/imap-data-format-test.vala
+  engine/imap/message/imap-mailbox-specifier-test.vala
+  engine/imap/transport/imap-deserializer-test.vala
   engine/mime-content-type-test.vala
   engine/rfc822-mailbox-address-test.vala
   engine/rfc822-message-test.vala
@@ -24,6 +27,7 @@
   client/components/client-web-view-test-case.vala
   client/composer/composer-web-view-test.vala
 
+  js/client-page-state-test.vala
   js/composer-page-state-test.vala
   js/conversation-page-state-test.vala
 )

=== src/sqlite3-unicodesn/CMakeLists.txt ===
# CMake definitions to build sqlite3-unicodesn as a static library.  This file
# was added for Geary based on the project's Makefile.

# If you update this list, you should also double-check
# find_appropriate_search_stemmer() in src/engine/imap-db/imap-db-database.vala
set(STEMMERS
    danish dutch english finnish french german hungarian
    italian norwegian portuguese romanian russian spanish
    swedish turkish
)

set(SQLITE3_UNICODESN_SRC
    fts3_unicode2.c
    fts3_unicodesn.c
    static.c

    libstemmer_c/runtime/api_sq3.c
    libstemmer_c/runtime/utilities_sq3.c
)

add_definitions(
    -DSQLITE_ENABLE_FTS4
    -DSQLITE_ENABLE_FTS4_UNICODE61
)

if (HAVE_FTS3_TOKENIZER)
    message(STATUS "SQLite FTS3 tokenizer support: ON")
    add_definitions(-DHAVE_FTS3_TOKENIZER)
endif ()

include_directories(
    libstemmer_c/runtime
    libstemmer_c/src_c
)

foreach(stemmer ${STEMMERS})
    list(APPEND SQLITE3_UNICODESN_SRC libstemmer_c/src_c/stem_UTF_8_${stemmer}.c)
    add_definitions(-DWITH_STEMMER_${stemmer})
endforeach()

add_library(sqlite3-unicodesn STATIC ${SQLITE3_UNICODESN_SRC})
target_link_libraries(sqlite3-unicodesn sqlite3)

=== debian/changelog ===
geary (0.12.4-4~ubuntu18.04.3) bionic; urgency=medium

  [ Amr Ibrahim ]
  * Backport to bionic (LP: #1815626)

  [ Gunnar Hjalmarsson ]
  * Handle translations for bionic (LP: #1779574):
    - debian/control.in, debian/control:
      - Don't enable language packs.
    - debian/rules:
      - Prevent dh_translations from removing upstream translations
        from the .desktop files.

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 02 Oct 2019 22:49:05 +0100

geary (0.12.4-4) unstable; urgency=medium

  * Cherry-pick Actually-use-error-variable.patch:
    - Fix build with latest vala

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 24 Dec 2018 12:07:05 -0500

geary (0.12.4-3) unstable; urgency=medium

  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 24 Dec 2018 09:19:50 -0500

geary (0.12.4-2) unstable; urgency=medium

  * Cherry-pick 3 patches to fix build with webkit2gtk 2.22
  * Bump minimum libwebkit2gtk-4.0-dev to 2.22

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 15 Sep 2018 11:03:58 -0400

geary (0.12.4-1) unstable; urgency=medium

  * New upstream release (Closes: #904387, #907942)
  * Opt in to Ubuntu language packs (LP: #1779574)
  * Bump Standards-Version to 4.2.1

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 04 Sep 2018 21:42:43 -0400

geary (0.12.2-2) unstable; urgency=medium

  * Adjust ugly hack to use linux-firmware-free instead of openrc
  * Bump Standards-Version to 4.1.4

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 13 May 2018 13:17:50 -0400

geary (0.12.2-1) unstable; urgency=medium

  * New upstream release
  * Use an ugly hack to build-depend on libmessaging-menu-dev and
    libunity-dev on Ubuntu but not on Debian since those packages
    don't exist in Debian.

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 12 May 2018 00:20:24 -0400

geary (0.12.1-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release

  [ Simon McVittie ]
  * Update Vcs-* for migration from collab-maint svn to GNOME git
  * debian/gbp.conf: Add

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 18 Mar 2018 14:59:59 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: geary
@@ -22,18 +22,18 @@
                libglib2.0-dev (>= 2.42.0),
                libgmime-2.6-dev (>= 2.6.14),
                libgtk-3-dev (>= 3.14.0),
-               libmessaging-menu-dev,
-               libunity-dev,
+               firmware-linux-free | libmessaging-menu-dev,
+               firmware-linux-free | libunity-dev,
                libnotify-dev (>= 0.7.5),
                libsecret-1-dev (>= 0.11),
                libsqlite3-dev (>= 3.7.4),
-               libwebkit2gtk-4.0-dev (>= 2.10),
+               libwebkit2gtk-4.0-dev (>= 2.22),
                libxml2-dev (>= 2.7.8),
                valac (>= 0.22.1)
-Standards-Version: 4.1.3
-Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/geary/trunk
-Vcs-Browser: https://anonscm.debian.org/viewvc/collab-maint/deb-maint/geary/trunk
+Standards-Version: 4.3.0
 Homepage: https://wiki.gnome.org/Apps/Geary
+Vcs-Git: https://salsa.debian.org/gnome-team/geary.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/geary
 
 Package: geary
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --buildsystem=cmake --with gnome

override_dh_auto_configure:
	dh_auto_configure -- -DNO_FATAL_WARNINGS=true

override_dh_translations:
